<?php
// getAddressFromLocation.php

if (isset($_GET['lat']) && isset($_GET['lon'])) {
    $lat = $_GET['lat'];
    $lon = $_GET['lon'];

    // API Key für die HERE API
    $apiKey = 'okEOI_7ww-l-Eop_6L8XY8YpWT2G-3bBNcO7ZoVT_P8';


    // hier muss noch eine Abfrage der verfügbaren API  calls rein...

    // Die URL für die HERE API
  //  $url = "https://revgeocode.search.hereapi.com/v1/revgeocode?at={$lat},{$lon}&limit=2&types=street&apiKey={$apiKey}";
  $url = "https://revgeocode.search.hereapi.com/v1/revgeocode?at={$lat},{$lon}&limit=2&types=address&mode=retrieveAddresses&apiKey={$apiKey}";

    // Initialisiere cURL
    $ch = curl_init();

    // Setze cURL-Optionen
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);

    // Führe die Anfrage aus und speichere die Antwort
    $response = curl_exec($ch);

    // Überprüfe, ob ein Fehler aufgetreten ist
    if (curl_errno($ch)) {
        echo json_encode(['error' => curl_error($ch)]);
    } else {
        // Gebe die Antwort zurück
        echo $response;
    }

    // Schließe cURL
    curl_close($ch);
} else {
    echo json_encode(['error' => 'Fehlende Parameter: lat oder lon']);
}
?>
